Subject: Re: [PATCH] Re: [PATCH] drivers/net: remove network drivers' last few uses of IRQF_SAMPLE_RANDOM

From: Glen Turner <[email-masked]>
Date: Mon, 26 May 2008 00:56:42 +0930

On Sun, 2008-05-18 at 19:53 +0200, Andi Kleen wrote:
> I never quite understood the rationale behind that one either:
> if you worry about someone else controlling the timing of these events,
> why do you not worry about timings on the local system. e.g.
> it's not that hard to predict with similar accuracy when a hard disk
> interrupt happened when a local process read something from disk. Or
> when the  keyboard/USB interrupt happened when you process keyboard input.

Accepting packets requires you to trust another party -- the network
provider and users of your host's networked services -- which you do
not have to trust otherwise.